Bug 114292 - Need -fPIC in libXRes
Need -fPIC in libXRes
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-26 06:56 EST by Alexander Larsson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-17 02:50:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Larsson 2004-01-26 06:56:30 EST
Linking to libXRes from libwnck gives me:
/usr/bin/ld: /usr/X11R6/lib64/libXRes.a(XRes.o): relocation
R_X86_64_32 can not be used when making a shared object; recompile
with -fPIC
/usr/X11R6/lib64/libXRes.a: could not read symbols: Bad value

I'd like the .a built with -fPIC.
Comment 1 Mike A. Harris 2004-02-17 02:49:52 EST
* Sat Jan 31 2004 Mike A. Harris <mharris@redhat.com> 4.3.0-45.0.2
- Added XFree86-4.3.0-Xserver-dix-xkb-key-repeating-bug-CVS-backport.patch
  to fix a bug in DIX when xkb is being used that causes keys to repeat
  spuriously on some hardware under certain system loads.  This patch
has been
  backported from the 4.3.0-48 developmental head package. (#76959,114635)
- Added XFree86-4.3.0-XRes-IncludeSharedObjectInNormalLib.patch to make
  libXRes get built PIC for bug (#114292)
- Updated XFree86-4.3.0-missing-lib-sharedreqs.patch to remove
dependancy on
  libXt caused by improper dependancy listing in SharedXmuuReqs (#113336)
Comment 2 Mike A. Harris 2004-02-17 02:50:23 EST
Closing as RAWHIDE, please reopen if the above fix is insufficient.

Note You need to log in before you can comment on or make changes to this bug.